FROM debian:10 AS repo-base

MAINTAINER Holger Fischer <holger.fischer@hoonet.org>

ARG DEBIAN_FRONTEND=noninteractive

RUN apt-get -q -y update \
 && apt-get -q -y -o "DPkg::Options::=--force-confold" -o "DPkg::Options::=--force-confdef" install apt-utils procps \
 && apt-get -q -y -o "DPkg::Options::=--force-confold" -o "DPkg::Options::=--force-confdef" install lighttpd man \
 && apt-get -q -y autoremove \
 && apt-get -q -y clean \
 && rm -rf /tmp/* /var/tmp/* /var/lib/apt/lists/*

FROM repo-base AS repo

COPY lighttpd.conf /etc/lighttpd/lighttpd.conf

EXPOSE 80/tcp

ENTRYPOINT ["lighttpd", "-D", "-f", "/etc/lighttpd/lighttpd.conf"]
